Subject: FW: Problem with Cygwin32 Tools
From: [email-masked] (Fischer, David)

13 May 1998 07:38:29 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Greetings, 

I originally sent this e-mail to [email-masked]. Kathy Powers suggested
I send it to you folk. 

> -----Original Message-----
> From:	Fischer, David 
> Sent:	Tuesday, May 12, 1998 1:38 PM
> To:	[email-masked]'
> Cc:	[email-masked]'
> Subject:	Problem with Cygwin32 Tools
> 
> I installed the Cygwin32 Beta 19 software onto my NT Workstation 4.0
> machine. I installed Beta 19 over a copy of Beta 18.
> 
> I am having a problem with recursive make. I have included a sample
> makefile which demonstrates my problem; along with the error output. I
> would appreciate any information or insight you may have into this
> problem.
> 
> Thanks in advance.
> 
>   -- Dave Fischer
>   -- Net Perceptions Inc.
> 
> Makefile text follows:
> ----------------------------------------------------------------------
> --
> FOO := $(shell uname -s)
> 
> verbose:
> 	@echo $(SHELL)
> 	@echo FOO is: $(FOO)
> 
> all:
> 	@echo ALL FOO is: $(FOO)
> 	@echo $(SHELL)
> 	$(MAKE) -C i586 -f ../Makefile VPATH=.. SHELL=$(SHELL) verbose;
> ----------------------------------------------------------------------
> --
> 
> Executing make with the verbose target works fine. When the all target
> is invoked from the command line the original execution works, but the
> recursive call to make fails and complains about 'uname -s'. The
> output is shown below.
> 
> C:\TEMP>make all
> ALL FOO is: CYGWIN32_NT
> c:/bin/sh.exe
> make -C i586 -f ../Makefile VPATH=.. SHELL=c:/bin/sh.exe verbose;
> process_begin: CreateProcess((null), uname -s, ...) failed.
> make[1]: *** expand_function: unable to launch process (e=2)
> .  Stop.
> make[1]: Entering directory `C:/TEMP/i586'
> make[1]: Leaving directory `C:/TEMP/i586'
> make: *** [all] Error 2
> 
> C:\TEMP>
> ----------------------------------------------------------------------
> -
> 
> The /bin directory has a copy of sh.exe from the
> \Cygnus\B19\H-i386-cygwin32\bin directory.
> 
> Make is GNU Make. The -v output is shown bwlow:
> 
> C:\TEMP>make -v
> GNU Make version 3.75, by Richard Stallman and Roland McGrath.
> Copyright (C) 1988, 89, 90, 91, 92, 93, 94, 95, 96
>         Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.
> There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
> PARTICULAR PURPOSE.
> 
> Report bugs to <[email-masked]>.
> 
> 
> C:\TEMP>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".